Package: groovy.junit6.plugin

## [Groovy] Class ConditionEvaluationContext

- groovy.junit6.plugin.ConditionEvaluationContext

-     @CompileStatic
      class ConditionEvaluationContext
      extends Object

  Delegate object for GroovyEnabledIf and GroovyDisabledIf closures, providing convenient access to environment, system properties, and JUnit context.

  Since:
    6.0.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `int` | `javaVersion` Current Java feature version, for example `17` or `21`.
    `String` | `junitDisplayName` Display name of the current JUnit element.
    `Set<String>` | `junitTags` Tags associated with the current JUnit element.
    `String` | `junitUniqueId` Unique identifier of the current JUnit element.
    `Map<String, String>` | `systemEnvironment` Process environment variables visible to the current JVM.
    `Properties` | `systemProperties` Java system properties visible to the current JVM.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConditionEvaluationContext(ExtensionContext extensionContext)` Creates a closure delegate backed by the supplied JUnit extension context.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### final int javaVersion

      Current Java feature version, for example `17` or `21`.

    - #### final String junitDisplayName

      Display name of the current JUnit element.

    - #### final Set<String> junitTags

      Tags associated with the current JUnit element.

    - #### final String junitUniqueId

      Unique identifier of the current JUnit element.

    - #### final Map<String, String> systemEnvironment

      Process environment variables visible to the current JVM.

    - #### final Properties systemProperties

      Java system properties visible to the current JVM.

  - ### Constructor Detail

    - #### ConditionEvaluationContext(ExtensionContext extensionContext)

      Creates a closure delegate backed by the supplied JUnit extension context.

      Parameters:
        `extensionContext` - the JUnit context currently being evaluated